无标题文档

内容系统网站设置说明
(V060906)


当您提交申请并通过审核后您将获得网站超级管理员的权限，左边菜单条会多了一项“特别权限”点击其中的“网站栏目管理”即可对您的网站进行设置。
整个设置分为三部分：一、设置频道、栏目，也就是构建网站框架。二、模版设计，根据自己的需求设计网站页面。三、上传文件。


一、设置栏目
（1）基本信息
（2）设置频道
（3）设置栏目
（4）提取代码
（1）基本信息:
操作界面如图一所示。
网站名称：是指您的网站显示在“网络发表”中的名称。
运行状态：运行状态即您的网站名称是否显示在“网络发表”中，默认为未运行（不显示）。当您设置完成整个网站并将模版上传后可以改变运行状态为运行。这样网友就可以在“网络发表”中获得您网站的发表权限。
管理员：管理员是指网站的管理者（不是超级管理员），管理员可以查看、编辑网站内所有文章，为会员添加权限。

图一

（2）设置频道 操作界面如图三、图四所示。
*频道列表（图三所示），点击频道名称可以进入编辑界面。
*添加频道（图四所示），点击“添加频道”可进入添加频道界面。
频道名称：此处填写您计划建立的频道名称。
显示属性：此处控制频道是否显示，如果确定频道中没有可显示栏目或计划将频道设置成“投稿发表模式”请将显示属性设为“隐藏”。
此频道属于E-file文章管理中的栏目：您可以根据频道类型或文体选择相应的显示位置。

图三

图四
(3)设置栏目
操作界面如图五、图六所示。
*栏目列表（图五所示），点击栏目名称可以进入编辑界面。
*添加栏目（图六所示），点击“添加栏目”可进入添加栏目界面。
栏目名称：此处填写您计划建立的栏目名称。
发表方式：发表方式分为“直接显示”和“投稿发表”两种。
直接发表：用户发表文章直接显示。
投稿发表：用户发表文章需管理员审核后才能显示。
所属频道：选择栏目所属频道。

图五

图六
(4)提取代码
操作界面如图七、图八所示。
*代码列表（图七所示），点击代码名称可以进入编辑界面。
*添加代码（图八所示），点击“添加代码”可进入添加代码界面。
代码名称：此处填写您要建立的代码名称，可任意填写，目的是为了便于日后管理。
代码类型：代码类型分为信息列表、文章信息、文章标题、作者信息、发表时间、作者最新文章列表、评论信息。如图九、十、十一所示。

精选栏目：这项功能允许您定制精选文章栏目，这个栏目中的文章由管理员在“特别权限”-“文章管理”-“编辑文章”中选择添加（如‘阿酷作家’中的‘新春秋’栏目就是‘精选栏目’）。每个网站只能有一个精选栏目。

图七

图八

图九

图十

图十一


二、模版设计：

*模板文件规定：
1、模板文件必须为*.html文件（首页为default.html），如果是普通页面（非摸板页面）请命名为*.htm文件。
2、模板文件不支持直接写入样式表定义和JavaScript脚本，如果需要请以文件的形式引用。例如：<link href="css.css" rel="stylesheet" type="text/css" />或者<script src="thisjs.js" ></script>（注意：如果您要在CSS文件或者JS文件中引用图片或其他文件请把他们放在同一目录中）。
3、模板文件只能上传至服务器根目录才有效。
★系统每30分钟生成一次文件，在测试期间如果您不想等待可以FTP登录,手动删除rwfile文件夹中的文件。

★由于系统默认编码是UTF-8编码类型，所以在页面引用文件时（如js或css）不能正常显示中文，如果一定要显示中文请使用UTF-8编码保存。以Dreamweaver为例操作步骤如图A、B所示，修改页面属性为Unicode（UTF-8）再保存此页面。

图A

图B

您可以使用Dreamweaver等网页编辑软件设计自己的网页样式，将您提取的代码放到相应位置即可完成摸板设计。
如果您想修改文章列表显示效果可以在样式表文件中修改列表的样式,Dreamweaver中的编辑界面如图十二所示。

图十二

下面是两个摸板设计代码：
红色部分是提取的代码

首页设计代码：

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title>网页天堂--网页初学者的天堂 v4.0</title>
<link href="/css/css.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
.STYLE1 {color: #999999}
-->
</style>
</head>

<body>
<div class="titler"><div>
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,19,0" width="770" height="89">
<param name="movie" value="/images/effect24_fh888.swf" />
<param name="quality" value="high" />
<param name="menu" value="false" />
<embed src="/images/effect24_fh888.swf" width="770" height="89" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" menu="false"></embed>
</object>
</div>
<div><img src="/images/title_02.jpg" /></div>
<div class="titler_menu">
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,19,0" width="770" height="59">
<param name="movie" value="/images/fh888_menu.swf" />
<param name="quality" value="high" />
<param name="wmode" value="transparent" />
<param name="menu" value="false" />
<embed src="/images/fh888_menu.swf" width="770" height="59" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" wmode="transparent" menu="false"></embed>
</object>
</div>
</div>
<div class="content"><div class="content_all">
<div class="content_l">
<div class="content_r_r">
<div class="content_l_m"><img src="/images/e-file.jpg" /></div>
<table width="100%" border="0" class="content_r_r_login" >
<form id="Form1" action="http://e-file.arkoo.com/webservs/login.aspx" method="post" >
<tr id="login">
<td width="40%" rowspan="2"><img src="/images/key.jpg" width="70" height="70" /></td>
<td width="60%" height="35"><label>用户名：
<input name="username" type="text" size="11" maxlength="20"/>
</label></td>
</tr>
<tr id="login">
<td>密&nbsp;&nbsp;码：
<input name="password" type="password" size="13" maxlength="20"/></td>
</tr>
<tr>
<td colspan="2"><table width="100%" border="0" cellspacing="1" cellpadding="0">
<tr>
<td><input name="imageField2" type="image" src="/images/login.jpg" align="bottom" /></td>
<td><a href="http://e-file.arkoo.com/register/userreg.aspx?domaininfo=fh888.com" target="_blank"><img src="/images/reg.jpg" width="52" height="19" border="0" /></a></td>
<td><a href="http://e-file.arkoo.com/studio/login.aspx?pass=1" target="_blank"><img src="/images/pass.jpg" width="71" height="19" border="0" /></a></td>
</tr>
</table></td>
</tr>
</form>
</table>

<div></div>
<div ><br />
<a href="http://www.fh888.com/article/yhn/9A664BC14430413E8E388C58AC5F0545.html" target="_blank"><img src="/images/gjhy.jpg" width="185" height="50" border="0" /></a><br />
<br />
<img src="/images/bzyc.jpg" /> </div>
<div class="yc1"><a href="http://www.fh888.com/soft/coolbar1.5.zip">CoolBar1.5</a>(推荐)<div class="yc2">
&nbsp;&nbsp;&nbsp;&nbsp;现在好多网站把IE滚动条做的很漂亮，其实就是修改了样式表。由于一些常用的网页编辑软件没有把这项功能集成进去所以做起来比较困难。这个软件就是专门制作滚动条样式的。</div>
</div>
<div class="yc1"><a onclick="window.open('downcolorful.asp','','width=470,height=300 ');" href="http://www.fh888.com/soft/colorful2.zip">Colorful2.0</a>
<div class="yc2">&nbsp;&nbsp;&nbsp;&nbsp;原创程序，Colorful取色器，采集鼠标所在位置的颜色并马上输出RGB值和十六进制数值，能同时保存六种颜色，特别针对网页制作人员做了优化，希望能成为大家的好助手。</div>
</div>
<div class="yc1"><a onclick="window.open('clipboardhelper.asp','','width=470,height=300 ');" href="http://www.fh888.com/soft/clipboardhelper.exe">clipboard Helper1.0</a>
<div class="yc2">&nbsp;&nbsp;&nbsp;&nbsp;一款小巧的剪切板增强工具，在后台监视剪切板可记录20次动作，可以导出任意扩展名的文本文件，比如可以导出*.lst文件用在蚂蚁或flashget这样的下载软件上……。</div>
</div></div>
</div>
<div class="content_r"><div class="content_r_l">
<div class="content_r_l_m">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="6%" valign="top"><img src="/images/dot_3.jpg" width="17" height="17" /></td>
<td width="94%" valign="bottom">业界动态</td>
</tr>
</table>
</div>
<div class="content_r_l_list">
<arkoo:list page="0" list="10" compositor="id" type="title_author_time_review" titlecount="12" channelid="27" projectid="5" /><liststr/><!--文章列表-->
</div>
</div>
<div class="content_r_r"><div class="content_r_r_hotm">
<table width="100%" border="0" cellspacing="1" cellpadding="0">
<tr>
<td><img src="/images/dot_2.jpg" width="3" height="15" /></td>
<td valign="bottom">推荐文章</td>
</tr>
</table>
</div>
<div class="content_r_l_list"><arkoo:list page="0" list="5" compositor="id" type="title" titlecount="11" choiceness="1" projectid="5" /><liststr/><!--文章列表--></div>
<div class="content_r_l_list"></div>
<div><br>
</div>
</div>
<div class="content_r">
<div class="content_r_l_1">
<div class="content_r_l_m1">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="20" valign="top"><img src="/images/dot_3.jpg" width="17" height="17" /></td>
<td width="83%" valign="bottom">编程语言</td>
<td width="11%" valign="bottom"><a href="bcyy/net.htm"><img src="/images/more.jpg" width="42" height="12" border="0" /></a></td>
</tr>
</table>
</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" />.NET=</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="11" classid="123" projectid="5"/><liststr/><!--文章列表-->
</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" /> ASP</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="11" classid="124" projectid="5" /><liststr/><!--文章列表-->
</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" /> JSP</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="10" classid="125" projectid="5" /><liststr/><!--文章列表-->
</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" /> PHP</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="10" classid="126" projectid="5" /><liststr/><!--文章列表-->
</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" /> SCRIPT</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="10" classid="128" projectid="5" /><liststr/><!--文章列表-->

</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" /> JAVA</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="10" classid="129" projectid="5" /><liststr/><!--文章列表-->
</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" /> HTML</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="10" classid="131" projectid="5" /><liststr/><!--文章列表-->

</div>
<div class="content_r_l_list">
<div><img src="/images/dot_6.jpg" /> CSS</div>
<arkoo:list page="0" list="5" compositor="id" type="title" titlecount="10" classid="132" projectid="5" /><liststr/><!--文章列表-->

</div>

<br />
<br />
<br />
</div>
<div class="content_r_r_1"><div class="content_r_l_m1">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="20" valign="top"><img src="/images/dot_3.jpg" width="17" height="17" /></td>
<td width="86%" valign="bottom">平面设计</td>
<td width="8%" valign="bottom"><a href="imgtools/Photoshop.htm"><img src="/images/more.jpg" width="42" height="12" border="0" /></a></td>
</tr>
</table>
</div>
<div class="content_r_l_list">
<arkoo:list page="0" list="10" compositor="id" type="title" titlecount="10" channelid="29" projectid="5" /><liststr/><!--文章列表-->
</div>
<div class="content_r_l_m1">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="20" valign="top"><img src="/images/dot_3.jpg" width="17" height="17" /></td>
<td width="86%" valign="bottom">网页设计</td>
<td width="8%" valign="bottom"><a href="pagetools/Dreamweaver.htm"><img src="/images/more.jpg" width="42" height="12" border="0" /></a></td>
</tr>
</table>
</div>
<div class="content_r_l_list">
<arkoo:list page="0" list="10" compositor="id" type="title" titlecount="10" channelid="30" projectid="5" /><liststr/><!--文章列表-->
</div>
<div class="content_r_l_m1">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="20" valign="top"><img src="/images/dot_3.jpg" width="17" height="17" /></td>
<td width="82%" valign="bottom">网站建设</td>
<td width="12%" valign="bottom"><a href="webbuild/wjgh.htm"><img src="/images/more.jpg" width="42" height="12" border="0" /></a></td>
</tr>
</table>
</div>
<div class="content_r_l_list">
<arkoo:list page="0" list="10" compositor="id" type="title" titlecount="10" channelid="31" projectid="5" /><liststr/><!--文章列表-->
</div>
<div class="content_r_l_m1">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="20" valign="top"><img src="/images/dot_3.jpg" width="17" height="17" /></td>
<td width="85%" valign="bottom">数据库</td>
<td width="9%" valign="bottom"><a href="database/sqlServer.htm"><img src="/images/more.jpg" width="42" height="12" border="0" /></a></td>
</tr>
</table>
</div>
<div class="content_r_l_list">
<arkoo:list page="0" list="10" compositor="id" type="title" titlecount="10" channelid="28" projectid="5" /><liststr/><!--文章列表-->
</div>
</div>

</div>
</div></div></div>
<div class="bottom">
<div class="bottom_c">Copyright (C) 2000-2006 fh888.com All Rights Reserved <a href="http://www.miibeian.gov.cn" target="_blank" class="STYLE1">津ICP备05015414号</a></div>
</div>
</body>
</html>

内容页设计代码：

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title><arkoo:title></arkoo:title><!--文章标题--></title>
<link href="/css/css.css" rel="stylesheet" type="text/css" />
<script language="javascript" src="/js/pt.js"></script>
</head>

<body>
<div class="titler"><div><img src="/images/title_2_02_01_03.jpg" width="770" height="145" /></div>

<div class="titler_menu_2">
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,19,0" width="770" height="59">
<param name="movie" value="/images/fh888_menu.swf" />
<param name="quality" value="high" />
<param name="wmode" value="transparent" />
<param name="menu" value="false" />
<embed src="/images/fh888_menu.swf" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="770" height="59"></embed>
</object>
</div></div>
<div class="content"><div class="content_all">
<div class="content_l_2"><div class="content_l_m_3">
<table width="100%" border="0" cellspacing="1" cellpadding="0">
<tr>
<td width="14%"><img src="/images/dot_5.jpg" width="21" height="21" /></td>
<td width="86%" valign="bottom"><img src="/images/dot_5_zzxx.jpg" width="83" height="21" /></td>
</tr>
</table>
</div>
<div class="content_l_c_2">
<div class="content_l_c_3">
<arkoo:authorlist list="50"/><authorliststr/>
</div>
</div>

</div>
<div class="content_r_3"><div class="content_r_l_dh"><a href=http://www.fh888.com>首页</a>--文章内容</div><br>
<table width="100%" border="0">
<tr>
<td align="center" class="title"><arkoo:title></arkoo:title> <!--文章标题--></td>
</tr>
<tr>
<td align="center">www.fh888.com <arkoo:datetime></arkoo:datetime><!--发表时间--></td>
</tr>
<tr>
<td align="center"><arkoo:author></arkoo:author><!--作者信息--></td>
</tr>
<tr>
<td align="left"><arkoo:content></arkoo:content><!--文章标题--></td>
</tr>
<tr>
<td align="left">&nbsp;</td>
</tr>
<tr>
<td align="left"><font color="#0000FF">【声明】网页天堂刊载此文不代表同意其说法或描述，仅为提供更多信息，也不构成任何投资建议。转载请注明出处。 </font></td>
</tr>
</table>
<arkoo:reversion></arkoo:reversion><!--评论信息-->
<div >
<br>
<br><br>
</div>
</div>
</div></div>
<div class="bottom">
<div class="bottom_c">Copyright (C) 2000-2006 fh888.com All Rights Reserved </div>
</div>
</body>
</html>


三、上传文件:

技术人员会为您配制好FTP，并通知您连接方法。
注意：只有将摸板页面传输到服务器根目录才会有效。


1、登录口与注册页
登录口与注册页可以是：
1、单独页面e-file.您的用户名.com
2、直接设置在首页，设置方法是：插入如下代码 （红色部分是您的域名如www.abc.com应填写abc.com、123.arkoo.com应填写arkoo.com）

<form id="Form1" action="http://e-file.arkoo.com/webservs/login.aspx" method="post" >
用户名：
<input type="text" maxLength="20" style="width:68px" name="username">
<br>
密&nbsp;&nbsp;&nbsp;码：
<input type="password" maxLength="20" style="width:68px" name="password">
<BR><input id="submit" type="submit" value=" 登 录 " name="submit"><br><a href="http://e-file.arkoo.com/register/userreg.aspx?domaininfo=yourdomain" target="_blank">
注册</a>&nbsp;&nbsp;<a href="http://e-file.arkoo.com/helper/userhelp.htm" target="_blank">帮助</a>
</form>


搜索：

一、搜索页面：

开通系统后就会有自己独立的搜索界面，访问地址是search.yourdomain，例如您的域名是www.abc.com则搜索域名是search.abc.com。
界面中图片可以更换，首页图片为logo1.gif搜索结果页为logo2.gif。只要将两个同名文件放在您服务器个目录中即可显示您的图片。

二、嵌入搜索框：
在网页<body></body>之间插入如下代码，就可实现插入搜索框的功能。 注意将红色部分换成您的搜索域名。

<script src=/js/goto.js></script>
<form id="searchform" method="post">
<input type="text" name="textfield" id="skword" onkeydown="ent(searchform.sbutton)"/>
<input type="button" name="sbutton" value="搜索" onclick="goToURL('parent','http://search.yourdomain/default.aspx?keyword='+encodeURI(searchform.skword.value))"/>
</form>


常见问题FAQ：

1.为什么上传后浏览时网页上有些图片无法显示？链接无法打开？
答：路径错误。模板内所有相对路径引用和对非模板页面的链接都必须在其路径前增加<mypath/>标签。对模板页面的链接不用加<mypath/>标签，但模板文件都必须放在根目录下。

2.我已经修改并上传了模板，为什么浏览时却没有改变？
答：系统每30分钟生成一次文件，若需马上看到修改结果，可以FTP登录,手动删除rwfile目录中的文件。

3.页面中引用的js文件，英文字母可以正常显示，但中文显示为乱码。
答：由于系统默认编码是UTF-8编码类型，所以在页面引用文件时（如js或css）不能正常显示中文，如果一定要显示中文请使用UTF-8编码保存。将js文件编码修改为UTF-8（保存方法看这里）。

4.我按命名规则命名了模板文件，但为什么从其它页无法链接到这个模板文件？
答：频道页模板文件名后的数字只能是1～20，栏目页模板文件名后的数字只能是1～100，大于这个范围的数字就无法链接。一般来说这个数字范围已经足够足够了。

5.我定义了css文件，但是为什么不起作用？
答：css文件最好放在image目录下。

6.内容页模板可以定义多个吗？
答：目前还不行，一套内容系统只能有一个内容页模板。一个可行的办法是安装多套内容系统，这样就可以定义多个内容页模板。

7.发表的文章为什么显示时文章内容区串到了文章列表的下面？
答：可能您发表的文章代码里边包含表格，这种情况常发生在直接从其它网页拷贝粘贴的时候。解决的办法：一.分段拷贝粘贴。二.先粘贴在记事本上，再粘贴发表。